### A free/open-source library for quantitative finance

Public Member Functions
Fd2dBlackScholesVanillaEngine Class Reference
Basket option engines

Two dimensional finite-differences Black Scholes vanilla option engine. More...

`#include <ql/pricingengines/basket/fd2dblackscholesvanillaengine.hpp>`

Inheritance diagram for Fd2dBlackScholesVanillaEngine:
[legend]

List of all members.

## Public Member Functions

| Fd2dBlackScholesVanillaEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &p1, const boost::shared_ptr< GeneralizedBlackScholesProcess > &p2, Real correlation, Size xGrid=100, Size yGrid=100, Size tGrid=50, Size dampingSteps=0, const FdmSchemeDesc &schemeDesc=FdmSchemeDesc::Hundsdorfer())
void | calculate () const

## Detailed Description

Two dimensional finite-differences Black Scholes vanilla option engine.

Tests:
  the correctness of the returned value is tested by reproducing results available in web/literature and comparison with Kirk approximation.